{% extends "base.html" %}
{% load static %}
{% block titulo %}
Intercambios - Creados
{% endblock titulo %}
{% block content1 %} 
      <script type="text/javascript">
        $("#navInter").attr('class','dropdown active');
        $("#navInterCreadas").attr('class','active');
      </script>
        <div class="row">
          <div class="col-md-12 col-sm-12" >
              <div class="panel panel-default">
                <div class="panel-heading panel-toolbar"> 
                  <strong>INTERCAMBIOS CREADOS</strong>
                  <div>
                    <button type="button" class="btn btn-default btn-sm" id="RefrescarLista"><span class="fa fa-refresh"></span> Actualizar</button>
                    <button type="button" class="btn btn-default btn-sm" id="imprimir_trans_bu"><i class="fa fa-print" ></i> Imprimir</button>
                  </div>
                  
                </div>
                <div class="panel-body">
                  <div class="row" >
                  <div class="col-md-12">
                    <h4 class="bg-success" align="center" id="ExitoMensaje">
                    </h4>
                  </div>
                  </div>
                  <div class="row myb-4">
                    <div class="col-md-2">
                        <div class="select">
                          <select class="form-control form-control-sm" id="comboFiltroF">
                            <option value="h">Hoy</option>
                            <option value="f">Fecha</option>
                            <option value="ef">Entre Fechas</option>
                          </select>
                        </div>
                      </div>
                      <div class="col-md-2" id="div-f1">
                        <input type='text' class=" form-control" id="txtfecha1" autocomplete="off">
                      </div>
                      <div class="col-md-2" id="div-f2">
                        <input type='text' class="form-control" id="txtfecha2" autocomplete="off">
                      </div>
                      <div class="col-md-1" align="center">
                        <button type="button" class=" btn btn-sm btn-danger" id="buscarF"> FILTRAR</button>
                      </div>
                  </div>
                   <div class="row">
                    <div class="col-md-4">
                      <input type="text" class="form-control" placeholder="Nombre o Apellidos (Beneficiado o Solicitante)" id="filtro">
                      <p></p>
                    </div>
                    <div class="col-md-1" >
                      <button type="button" class="btn btn-primary btn-block btn-sm" id="buscar"><i class="fa fa-search"></i> Buscar</button>
                      <p></p>
                    </div>
                  </div>

                  <div class="row">
                      <div class="col-md-12">
                           <div id="myModalB" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                          <div class="modal-dialog modal-sm">
                            <div class="modal-content">
                              <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                <h4 class="modal-title" id="myModalLabel">Beneficiado</h4>
                              </div>
                              <div class="modal-body"> 
                                    
                                    <div class="row">
                                      <div class="col-md-4" align="right">
                                        <label>Nombre : </label>
                                      </div>
                                      <div class="col-md-8">
                                        <input type="text" class="form-control" id="txtNombreB" >
                                          <ul class="nav navbar-nav" style="margin-top: 20px;">  
                                              <li class="dropdown">
                                                  <ul class="dropdown-menu lista">
                                                  </ul>
                                              </li>
                                          </ul>
                                      </div>
                                    </div>
                                    <p></p>
                                    <div class="row">
                                      <div class="col-md-4" align="right">
                                        <label>Apellido Paterno: </label>
                                      </div>
                                      <div class="col-md-8">
                                        <input type="text" class="form-control" id="txtAPB" >
                                        <p></p>
                                      </div>
                                    </div>
                                    <p></p>
                                    <div class="row">
                                      <div class="col-md-4" align="right">
                                        <label>Apellido Materno: </label>
                                      </div>
                                      <div class="col-md-8">
                                        <input type="text" class="form-control" id="txtAMB" >
                                        <p></p>
                                      </div>
                                    </div>
                                    <p></p>
                                    
                                    <div class="row">
                                      <div class="col-md-6 col-md-offset-3">
                                        <button type="button" class="btn btn-sm btn-warning btn-block" id="ActualizarBen" data-loading-text="Modificando..."> <i class="fa fa-check" data-toggle="tooltip" data-placement="bottom" title="Click para guardar modificación"></i> Guardar</button>
                                      </div> 
                                    </div>
                              </div>

                              <div class="modal-footer">
                                <button type="button" class="btn btn-danger btn-sm" data-dismiss="modal"><i class="fa fa-times"></i> Cerrar</button>

                              </div>
                            </div><!-- /.modal-content -->
                          </div><!-- /.modal-dialog -->
                        </div>
                          <div class="table-responsive" >
                            <table class="table table-hover" id="imprimir_trans">
                                <thead>
                                  <tr >
                                    <th>Beneficiado</th>
                                    <th>Monto</th>
                                    <th>Remitente</th>
                                    <th>Fecha</th>
                                    <th>Destino</th>
                                    <th>S/I</th>
                                    <th>Comision</th>
                                    <th>Otros</th>
                                    <th>Moneda</th>
                                    <th>Obs</th>
                                    <th>Detalle</th>
                                    <th>Estado</th>
                                    <th>Fecha de Pago</th>
                                  </tr>
                                </thead>
                                <tbody id="listaTransf">
                                </tbody>
                            </table>
                          </div>
                      </div>
                  </div>
                </div>
              </div>
          </div>
        </div>
<div id="myModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <label class="modal-title" id="myModalLabel">Detalle Intercambio</label>
        </div>
        <div class="modal-body">
          <div class="row">
            <div class="col-md-6" >
                <div class="panel panel-default">
                  <div class="panel-heading" align="center"> <strong>SOLICITANTE</strong></div>
                  <div class="panel-body">
                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>DNI/RUC:</label></div>
                            <input type="text" class="form-control" id="txtDNI">
                          </div>
                        </div>
                      </div>
                      
                    </div>
                    <div class="row">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Nombres</label></div>
                            <input type="text" class="form-control" id="txtNombres_Soli">
                          </div>
                        </div>
                      </div>
                    </div>
                    <br>
                    <div class="row">
                      <div class="panel panel-default">
                        <div class="panel-heading" align="center"> <strong>BENEFICIADO</strong></div>
                      </div>
                    </div>
                    
                    <div class="row">
                        <div class="col-md-12"> 
                            <span>Nombres</span>
                         <label class="pull-left1" id="lbNB"></label> 
                        
                         <label class="pull-left1" id="lbAPB"></label> 
                         <label class="pull-left1" id="lbAMB"></label> 
                        </div>
                        <!--
                        <div class="col-md-offset-4">
                        <div class="btn-group" role="group">
                           <strong><a class="text-info" href="javascript:void();" data-toggle="modal" data-target="#myModalB" id="btnMB">Cambiar Nombre</a></strong>
                         </div>
                         </div>
                       -->
                        <!--<div class="col-md-6">
                          <input type="text" class="form-control" id="txtNombres_Bene" disabled="disabled">         
                        </div> -->
                    </div>
                    <div class="row">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>DNI</label></div>
                            <input type="text" class="form-control" id="txtN">
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
            </div>
            <div class="col-md-6">
              <div class="panel panel-success">
                <div class="panel-heading panel-toolbar">
                  <strong>INTERCAMBIO</strong>
                  <button type="button" class="btn btn-success btn-sm" id="rimprimir"><i class="fa fa-print" ></i> Re-imprimir</button>
                </div>
                <div class="panel-body">
                    <div class="row myb-4">
                        <div class="col-md-8">
                          <div class="form-group">
                            <div class="input-group">
                              <div class="input-group-addon" ><label>ID</label></div>
                              <input type="text" class="form-control" id="txtIDtrans" disabled="disabled">   
                            </div>
                          </div>
                        </div>
                    </div>
                    <div class="row myb-4">
                        <div class="col-md-8">
                          <div class="form-group">
                            <div class="input-group">
                              <div class="input-group-addon" ><label>Estado</label></div>
                              <input type="text" class="form-control" id="txtEstadoTrans" disabled="disabled">
                            </div>
                          </div>
                        </div>
                        <div class="col-md-2">
                          <button type="button" class="btn btn-danger btn-sm"id="extornarT">Extornar</button>
                        </div>
                    </div>
                    <div class="row">
                      <div class="col-md-12"> 
                        <h4 >Nro Recibo: <b id="txtnr"></b></h4> 
                      </div>
                    </div>
                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Fecha</label></div>
                            <input type="text" class="form-control" id="txtFecha" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                  
                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Emisor</label></div>
                            <input type="text" class="form-control" id="txtPersonalE" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="row myb-4">
                      <div class="col-md-12">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Destino</label></div>
                            <input type="text" class="form-control" id="txtOficinaDest" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Cantidad</label></div>
                            <input type="text" class="form-control t-monto" id="txtMonto" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="row myb-4">
                      <div class="col-md-8">
                        <div class="form-group">
                          <div class="input-group">
                            <div class="input-group-addon" ><label>Comisión</label></div>
                            <input type="text" class="form-control t-monto" id="txtComicion" disabled="disabled">   
                          </div>
                        </div>
                      </div>
                    </div>
                    <div class="row myb-4">
                        <div class="col-md-12"> 
                          <h4>Codigo: <b id="lblcodigo"></b></h4> 
                        </div>
                    </div>
                    <div class="row myb-4">
                        <div class="col-md-12"> 
                          <label>Observaciones</label> 
                        </div>
                        <div class="col-md-10">
                          <!--
                          <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                          <textarea class="form-control" rows="2" id="txtObs" disabled="disabled" ></textarea >         
                        </div> 
                    </div>

                    <div class="row">
                        <div class="col-md-12"> 
                          <label>Detalle Otros Conceptos</label> 
                        </div>
                        <div class="col-md-10">
                          <!--
                          <input type="text" class="form-control" id="txtObs" disabled="disabled">-->
                          <textarea class="form-control" rows="2" id="txtotros_con" disabled="disabled" ></textarea >         
                        </div> 
                    </div>
                    
                </div>
              </div>

            </div>
          </div>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Detalles</h4>
        </div>
        <div class="modal-body">
          <div  id="platillaI"  style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
            <label align="center"><b>PAGO DE INTERCAMBIO</b></label>
            <table>
              <tr nowrap>=============================</tr>
            </table>
            <h6 id="plTitulo"></h6>
            <b>Destino:</b>
            <p id="plOri"></p>
            <b>Beneficiado:</b>
            <p id="plB"></p>
            <b>Remitente:</b>
            <p id="plR"></p>
            <b>Observaciones:</b>
            <p id="plObs"></p>
            <b>Fecha de operación:</b>
            <p id="fepa"></p>
            <b>Monto:</b>
            <h4 id="plM"></h4>
            <p id="caextTo"><b>Comision / Bancos: </b> <span id="extCo"></span></p>
            <br>
            <table>
              <tr>
                <td nowrap>__________&nbsp;</td>
                <td>&nbsp;</td>
                <td nowrap>&nbsp;____________</td>
              </tr>
              <tr>
                <td nowrap><h6>Recibi conforme</h6></td>
                <td>&nbsp;</td>
                <td nowrap>&nbsp;&nbsp; Op. {{ nombre_usuario }}</td>
              </tr>
            </table>
            <p><b>DNI:</b>&nbsp;<b id="idn"></b></p>
            <p id ="hopa"></p>
          </div>
        </div>
        <div class="modal-footer">
          <hr>
          <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Detalles</h4>
        </div>
        <div class="modal-body">
          <div  id="platillaI2"  style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
            <label align="center"><b>INTERCAMBIO</b></label>
            <table>
              <tr nowrap>===================================</tr>
            </table>
            <!--<table>
              <tr>
                <td><h4 id="oficinaRecibo"></h4></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
                <th>Nº</th>
                <td id="nror"></td>
              </tr>
              <tr>
                <td nowrap> Fecha</td>
                <td>&nbsp;</td>
                <td nowrap><label id="fechaRecibo"></label></td>
                <td>&nbsp;</td>
                <td>&nbsp;</td>
              </tr>
            </table>-->
            <table>
              <tr>
                <td nowrap> <label id="fechaRecibo"></label></td>
              </tr>
            </table>
            <table>
              <tr>
                <td id="oficinaRecibo" style="width:100px;">{{ SITE_URL }}</td>
                <td style="padding-top:-10px;"><div style="width:40px;"> </div></td>
                <td style="width:60px; text-align:right;">Nº<span id="nror"></span></td>
              </tr>
            </table>
            <!--<b> NRO DE RECIBO:</b>
            <p id="nror"></p>-->
            <!--
            <b> OFICINA DESTINO:</b>
            <p id="oficinaDestino"></p>
            <b> SOLICITANTE:</b>
            <p id="soli"></p>-->
            <table>
              <tr>
                <td  valign="top" style="padding-top:10px;"><b>Of. Destino:</b></td>
                <td style="padding-top:10px;"><div style="width:20px;height:20px;"> </div></td>
                <td id="oficinaDestino" style="padding-top:10px;" ></td>
              </tr>
              <tr >
                <td  valign="top" style="padding-top:10px;"><b>Beneficiado:</b></td>
                <td style="padding-top:10px;"><div style="width:20px;"> </div></td>
                <td id="bene" style="padding-top:10px;"></td>
              </tr>
              <tr>
                <td  valign="top" style="padding-top:10px;"><b>Solicitante:</b></td> 
                <td style="padding-top:10px;"><div style="width:20px;height:15px;"> </div></td>
                <td id="soli" style="padding-top:10px;"></td>
              </tr>
            </table>
            <!--
            <b>IMPORTE:</b>
            <p id="pldet"></p>
            <b>IMPORTE TOTAL:</b>
            <h4 id="importe"></h4>-->
            <!--
            <b> BENEFICIADO:</b>
            <p ><h4 id="bene"></h4></p>-->
            <br>
            <b>IMPORTE:</b>
            <table>
              <tr>
                <td>Monto:</td>
                <td ><div style="width:40px;"> </div></td>
                <td id="monto_tr" style="text-align:right;"></td>
              </tr>
              <tr>
                <td>Comisión</td>
                <td ><div style="width:40px;"> </div></td>
                <td id="comi_tr" style="text-align:right;"></td>
              </tr>
              <tr>
                <td>Otros:</td>
                <td ><div style="width:40px;"> </div></td>
                <td id="otros_tr" style="text-align:right;"></td>
              </tr>
            </table> 
            <br>
            <b>IMPORTE TOTAL:</b>
            <h4 id="importe"></h4>
            <table>
              <tr>
                <td><b>Observaciones:</b></td>
              </tr>
              <tr>
                <td id="reciboObs"></td>
              </tr>
              <tr>
                <td><b>Otros detalle:</b>
                </td>
              </tr>
              <tr>
                <td id="reciboDet"></td>
              </tr>
            </table>
            <!--<br>
            <table>
              <tr>
                <td>_____________</td>
                <td>&nbsp;</td>
                <td>_____________</td>
              </tr>
              <tr>
                <td nowrap><b>OP. <span id="usuario"></span></b></td>
                <td></td>
                <td nowrap><b><span id="soli1"></span></b></td>
              </tr>
            </table>-->

            <table>
              <tr>
                <td><div style="height:30px;"> </div></td>
              </tr>
              <tr>
                <td>____________________</td>
              </tr>
              <tr>
                <td nowrap><label><b>OP. {{ nombre_usuario }}</b></label></td>
              </tr>
              <tr>
                <td><div style="height:35px;"> </div></td>
              </tr>
              <tr>
                <td>____________________</td>
              </tr>
              <tr>
                <td nowrap><b><span id="soli1"></span></b></td>
              </tr>
              
            </table>
            
          </div>
        </div>
        <div class="modal-footer">
          <hr>
          <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<div id="modalreciboComision" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="myModalLabel">Detalles</h4>
        </div>
        <div class="modal-body">
          <div  id="platillaComision"  style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
            <label align="center"><b>RECIBO DE EGRESO</b></label>
            <table>
              <tr nowrap>==============================</tr>
            </table>
            <label>{{ SITE_URL }}</label>
            <b> OFICINA DESTINO:</b>
            <p id="recibi">CUSCO</p>
            <br>
            <b>IMPORTE:</b>
            <table>
              <tr>
                <td>&nbsp;</td>
                <td>Soles</td>
                <td>&nbsp;</td>
                <td>Dolares</td>
              </tr>
              <tr>
                <td nowrap>Comisión: S/</td>
                <td nowrap><h4 id="MScomi"></h4></td>
                <td>&nbsp;</td>
                <td nowrap><h4 id="MDcomi"></h4></td>
              </tr>
              <tr>
                <td nowrap>Capital:</td>
                <td nowrap><h4 id="MScapi"></h4></td>
                <td>&nbsp;</td>
                <td nowrap><h4 id="MDcapi"></h4></td>
              </tr>
              <tr>
                <td>Pagos Transferencia:</td>
                <td nowrap><h4 id="MSPT"></h4></td>
                <td>&nbsp;</td>
                <td nowrap><h4 id="MDPT"></h4></td>
              </tr>
              <tr>
                <td>Egreso:</td>
                <td nowrap><h4 id="MegresoS"></h4></td>
                <td>&nbsp;</td>
                <td nowrap><h4 id="MegresoD"></h4></td>
              </tr>
              <tr>
                <td>Total:</td>
                <td nowrap><h4 id="MStotal"></h4></td>
                <td>&nbsp;</td>
                <td nowrap><h4 id="MDtotal"></h4></td>
              </tr>
            </table>
            <b>CONCEPTO:</b>
            <p >Envío de dinero </p>
            <br>
            <br>
            <p>________________</p>
            <b>OP. {{ nombre_usuario }}</b>
            <table>
              <tr>
                <td><label id="fechaCo"></label></td>
                <td>&nbsp;</td>
                <td><label id="horaCo"></label></td>
              </tr>
            </table>
          </div>
        </div>
        <div class="modal-footer">
          <hr>
          <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
        </div>

      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
    <!--<input type="button" class="btn btn-default btn-block" data-toggle="modal" data-target="#myModal" value="Clientes">-->
<div id="modal_confirmacion" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <br>
        </div>
        <div class="modal-body alert alert-warning"role="alert">
          <div class="row">
            <div class="col-md-12">
              <div class="row grp_alr" align="center">
                <h3 >EXTORNAR INTERCAMBIO ?</h3>
              </div>
              <div class="row grp_alr" align ="center">
                <label>Esta accion sera irreversible!</label>
              </div>
              <div class="row grp_pgs" align="center" hidden>
                  <h3>PROCESANDO...</h3>
              </div>
              <div class="row grp_pgs" hidden>
                <div class="progress">
                  <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                  </div>
                </div>
              </div>
              <div class="row grp_alr">
                <div class="col-md-4 col-md-offset-2">
                  <button type="button" class="btn btn-default btn-block" data-dismiss="modal">Cancelar</button>
                </div>
                <div class="col-md-4">
                  <button type="button" class="btn btn-danger btn-block" id="alert_aceptar">EXTORNAR</button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<script type="text/JavaScript">
    var pagina=1;
    var Aux="";
    var Aux2="";
    var Aux3="";
    var Aux5="";
    var Aux6="";
    var Aux7="";
    var filaI =0;
    var estad="";  
    var i1=0;
    var i2=0;        
    var p1=0;        
    var p2=0;
    var e1=0;
    var e2=0;      
    $(document).ready(function(){
       $(document).on('show.bs.modal', '.modal', function () {
          var zIndex = 1040 + (10 * $('.modal:visible').length);
          $(this).css('z-index', zIndex);
          setTimeout(function() {
              $('.modal-backdrop').not('.modal-stack').css('z-index', zIndex - 1).addClass('modal-stack');
          }, 0);
      });
      $(document).on('hidden.bs.modal', '.modal', function () {
          $('.modal:visible').length && $(document.body).addClass('modal-open');
      });
      //----
      $('#txtfecha1').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      $('#txtfecha2').datetimepicker({
        locale: 'es',
        format: 'YYYY-MM-DD'
      });
      //
      $("#div-f1").hide();
      $("#div-f2").hide();
      //
      $("#comboFiltroF").change(function(){
        if($("#comboFiltroF").val()=="ef"){
          $("#div-f1").show();
          $("#txtfecha1").prop("value","");
          $("#div-f2").show();
          $("#txtfecha2").prop("value","");
        }
        if($("#comboFiltroF").val()=="f"){
          $("#txtfecha1").prop("value","");
          $("#div-f1").show();
          $("#txtfecha2").prop("value","");
          $("#div-f2").hide();
        }
        if($("#comboFiltroF").val()=="h"){
          $("#txtfecha1").prop("value","");
          $("#div-f1").hide();
          $("#txtfecha2").prop("value","");
          $("#div-f2").hide();
        }
      });
      //
      $("#buscarF").click(function(){
        ajax_Transferencias();
      })
      //
      $('#txtN').numeric(); 
      $("#fd").hide();
      $("#extornarT").prop('disabled',false); 

      $("#extornarT").click(function(){
        $("#idn").text($("#txtN").val());
      });
     
      
      $("#rimprimir").click(function(){
        if (estad=="activo" || estad =="pagado"){
           $("#bene").text($('#lbNB').text()+" "+$('#lbAPB').text()+" "+$('#lbAMB').text());
          $('#platillaI2').printThis();
        }
        else{
          $("#idn").text($("#txtN").val());
          $('#platillaI').printThis();
        }
        
      });
      
      ajax_Transferencias();
      $("#RefrescarLista").click(function(){
        ajax_Transferencias();
      });


        $("#ActualizarBen").click(function(){
        $(this).button('loading');
        $.ajax({
          data:{'idSI':$("#txtIDtrans").prop("value"),'nombreB':$("#txtNombreB").val(),'apB':$("#txtAPB").val(),'amB':$("#txtAMB").val()},
          url:'/modificarBeneficiadoSI_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            console.log(data.error);
            if (data.exito=="1"){
              $("#ActualizarBen").button('reset');  
              $("#lbNB").text($("#txtNombreB").val());
              $("#lbAPB").text($("#txtAPB").val());
              $("#lbAMB").text($("#txtAMB").val());
              $("#myModalB").modal("hide");

              bootbox.alert("Modificación exitosa"); 

            }else{
              $("#ActualizarBen").button('reset');
              $("#myModalB").modal("hide");
              bootbox.alert("Error en la modificación. "+data.error);
            }
          },  
        error: function(xhr, textStatus, errorThrown) {
            console.log(xhr.responseText);
          },
        }); 
       

    });

     
      $(document).on("click",".filaTrans",function(){
        var num = $(this).attr('id');
        filaI = num;
        var fila= $(this).attr('class');
        $('#extornarT').show();
        $("#areap").show();
        //$("#rimprimir").show();
        $('#txtN').prop('disabled',false);
        //--------------
        $('#txtEstadoTrans').prop("value",Aux[filaI].estado);
        $('#txtDNI').prop("value",Aux[filaI].dni_rmt);
        $('#txtNombres_Soli').prop("value",Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        //$('#txtNombres_Bene').prop("value",Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        
        $('#lbNB').text(Aux[filaI].nombre_bnf);
        $('#lbAPB').text(Aux[filaI].paterno_bnf);
        $('#lbAMB').text(Aux[filaI].materno_bnf);

        $('#txtNombreB').prop("value",Aux[filaI].nombre_bnf);
        $('#txtAPB').prop("value",Aux[filaI].paterno_bnf);
        $('#txtAMB').prop("value",Aux[filaI].materno_bnf);

        $("#txtN").prop('value',Aux[filaI].dni_bnf);
        $('#txtIDtrans').prop("value",Aux[filaI].id_trans);
        $('#txtFecha').prop("value",Aux[filaI].fecha);
        $('#txtPersonalE').prop("value",Aux[filaI].id_personal);
        $('#txtOficinaDest').prop("value",Aux[filaI].oficina_des);
        $('#txtMonto').prop("value",Aux[filaI].monto);
        $('#txtComicion').prop("value",Aux[filaI].comicion);
        $('#txtObs').prop("value",Aux[filaI].obs);
        $('#txtotros_con').prop("value",Aux[filaI].otros_conceptos);
        $("#reciboObs").text(Aux[filaI].obs);
        $("#reciboDet").text(Aux[filaI].otros_conceptos);
        $("#plB").text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
        $("#plR").text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
        $("#plObs").text($("#txtObspe").val());
        $("#lblcodigo").text(Aux[filaI].codigo);
        estad=Aux[filaI].estado;
        var mr="";
        if(Aux[filaI].moneda=="soles")
          {
            mr="S/. "
          }
        else
          {
            mr="$/. "
        }
        /*
        if (Aux[filaI].AutEx=="todo"){
          $("#plM").text(mr +String(parseFloat(Aux[filaI].monto)+parseFloat(Aux[filaI].comicion)+parseFloat(Aux[filaI].monto_conceptos)));
        }
        else{
          $("#plM").text(mr +String(Aux[filaI].monto));
        }
        */
        if (Aux[filaI].AutEx=="todo"){
          $("#caextTo").show();
          $("#plM").text(mr +String(Aux[filaI].monto));
          $("#extCo").text(parseFloat(Aux[filaI].comicion)+parseFloat(Aux[filaI].monto_conceptos));
        }
        else{
          $("#plM").text(mr +String(Aux[filaI].monto));
          $("#extCo").text('');
          $("#caextTo").hide();
        }
        
        //$("#plM").text(Aux[filaI].monto);
        $("#plOri").text(Aux[filaI].oficina_des);
        var fecha = new Date();
        var mes = [
                "Enero",
                "Febrero",
                "Marzo",
                "Abril",
                "Mayo",
                "Junio",
                "Julio",
                "Agosto",
                "Septiembre",
                "Octubre",
                "Noviembre",
                "Diciembre"
                ];
        var textofecha= fecha.getDate() + " de " + mes[fecha.getMonth()] + " del " + fecha.getFullYear();
        var hora = new Date();
        var textohora = hora.getHours() + ":" + hora.getMinutes();
        $("#fepa").text(Aux[filaI].fecha);
        $("#hopa").text(textohora);

        if(Aux[filaI].estado =="activo"){
            $("#btnMB").removeClass("hidden");
        }

        if(Aux[filaI].estado !="activo"){
          //$('#extornarT').prop('disabled',true);
          //$('#ForzarpagoT').prop('disabled',true);
          $('#extornarT').hide();
          $('#txtN').prop('disabled',true);
          $("#areap").hide();
          $("#btnMB").addClass("hidden");
          //$("#rimprimir").hide()
        }
        if((Aux[filaI].estado=='activo') || (Aux[filaI].estado=='pagado'&&Aux[filaI].pago_forzado!='si')){
          var m='';
          if(Aux[filaI].moneda=="soles")
            {
              m="S/. "
            }
          else
            {
              m="$/. "
            }
          //$("#pldet").html("Monto:"+m+Aux[filaI].monto+"<br>Comision: "+m+Aux[filaI].comicion+"<br> Otros:"+m+Aux[filaI].monto_conceptos);
          $("#monto_tr").text(m+Aux[filaI].monto);
          $("#comi_tr").text(m+Aux[filaI].comicion);
          $("#otros_tr").text(m+Aux[filaI].monto_conceptos);
          var monto_capi=Aux[filaI].monto.toString().replace(",", "");
          var total= parseFloat(monto_capi)+parseFloat(Aux[filaI].comicion)+parseFloat(Aux[filaI].monto_conceptos);

          $("#fechaRecibo").text(Aux[filaI].fecha);
          $("#importe").text(m+String(total));
          //$("#usuario").text(usuario);
          $("#nror").text(Aux[filaI].nroRecibo);
          $("#txtnr").text(Aux[filaI].nroRecibo)
          $("#bene").text(Aux[filaI].nombre_bnf +" "+ Aux[filaI].paterno_bnf +" "+ Aux[filaI].materno_bnf);
          $("#soli").text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);
          $("#oficinaDestino").text(Aux[filaI].oficina_des);
          $("#soli1").text(Aux[filaI].nombre_rmt+" "+Aux[filaI].paterno_rmt +" "+ Aux[filaI].materno_rmt);                                    
        }
        if(Aux[filaI].estado=='extornado'){
          $("#plTitulo").text("transferencia extornado");
        }
        if(Aux[filaI].pago_forzado=='si'){
          $("#plTitulo").text("pago forzado");
          //$("#rimprimir").show();
          estad="pagoforzado";
        }
       
      });
      
      function ajax_Transferencias(){
        $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
        $.ajax({
          data:{'pg':pagina,'filtro':$("#comboFiltroF").val(),'F1':$("#txtfecha1").val(),'F2':$("#txtfecha2").val()},
          url:'/listaIntercTotal_ajax/',
          type:'GET',
          dataType:'json',
          success: function(data){
            Aux = data;
            var html ="";
            for(var i=0;i<data.length;i++){
              var estado ="";
              if(data[i].estado=="pagado"){
                estado = "success";
              }
              if(data[i].pago_forzado=="si"){
                estado= "warning"
              };
              if(data[i].estado =="extornado"){
                estado="danger";
              }
              if(data[i].estado=="activo"){
                estado= ''
              }
              html += '<tr data-toggle="modal" data-target="#myModal" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].oficina_des+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td><td>'+data[i].fp+'</td></tr>';
            }

            $('#listaTransf').html(html);
            $('.table-responsive').waitMe('hide');
          }
        });
      };

      $("#buscar").click(function(){
        $('#listaTransf').html('');
        pagina=1;
        PonerInicioPag();
        ajax_TransferenciasTotal_filtro();
      });     

      $("#extornarT").click(function(){//boton q llama ala confirmacion
        $('#modal_confirmacion').modal('show');
      });
      $("#alert_aceptar").click(function(){
        mostrar_progress();
        ajax_solicitudExtorno(Aux[filaI].id_trans);
        ocultarmodal();
      });
      function mostrar_progress(){
        $(".grp_alr").hide();
        $(".grp_pgs").show();
      };
      function ocultar_progress(){//llamar desde la funcion
        $('#modal_confirmacion').modal('hide');
        $(".grp_alr").show();
        $(".grp_pgs").hide();
      };

       function ajax_TransferenciasTotal_filtro(){
            $('.table-responsive').waitMe({effect : 'progressBar',text : 'Recuperando Datos'});
            $.ajax({
              data:{'pg':pagina,'filtro':$("#filtro").val()},
              url:'/listaIntercTotal_filtro_ajax/',
              type:'GET',
              dataType:'json',
              success: function(data){
                Aux = data;
                var html ="";
                for(var i=0;i<data.length;i++){
                  var estado ="";
                  if(data[i].estado=="pagado"){
                    estado = "success";
                  }
                  if(data[i].pago_forzado=="si"){
                    estado= "warning"
                  };
                  if(data[i].estado =="extornado"){
                    estado="danger";
                  }
                  if(data[i].estado=="activo"){
                    estado= ''
                  }
                  html += '<tr data-toggle="modal" data-target="#myModal" class="filaTrans '+estado+'" id="'+i+'"><td>'+data[i].nombre_bnf+' '+data[i].paterno_bnf+' '+data[i].materno_bnf+'</td><td style="font-size:16px;font-weight:bold;">'+data[i].monto+'</td><td>'+data[i].nombre_rmt+' '+data[i].paterno_rmt+' '+data[i].materno_rmt+'</td><td>'+data[i].fecha+'</td><td style="color:#2e6da4;font-size:16px;font-weight:bold;" >'+data[i].oficina_des+'</td><td>'+data[i].nroRecibo+'</td><td><b>'+data[i].comicion+'</b></td><td><b>'+data[i].monto_conceptos+'</b></td><td>'+data[i].moneda+'</td><td>'+data[i].obs+'</td><td>'+data[i].otros_conceptos+'</td><td>'+data[i].estado+'</td><td>'+data[i].fp+'</td></tr>';
                }
                //html+='</tbody></table>';
                $('#listaTransf').html(html);
                $('.table-responsive').waitMe('hide');
              }
            });
          };

          //-----
            function ajax_solicitudExtorno(idTransf){
              $.ajax({
                data:{'idT':idTransf,'obs':$("#txtObspe").val(),'dni':$("#txtN").val()},
                url:'/extornarInterc_ajax/',
                //async:false,
                type:'GET',
                dataType:'text',
                success: function(data){
                  if(data=='exito'){
                    $("#ExitoMensaje").prop('class','bg-info');
                    $("#ExitoMensaje").text("La transferencia se EXTORNO!");
                    $("#plTitulo").text("transferencia extornado");
                    $('#platillaI').printThis();

                    bootbox.alert({ 
                      message: "La transferencia se extorno",
                      className: 'bb-alternate-modal'
                    }); 

                    ocultar_progress();
                    ajax_Transferencias();
                    $('#txtN').prop("value",' ');
                   }
                 else{
                    ocultar_progress();
                    $("#ExitoMensaje").prop('class','bg-danger');
                    $("#ExitoMensaje").text("la operacion fallo :(" + data);

                    bootbox.alert({ 
                      message: "La Operación falló",
                      className: 'bb-alternate-modal'
                    }); 
                    
                   }

                }
              });
            };
          
       
      function ocultarmodal(){
        $('#myModal').modal('hide')
      };
    

      
      //---end division
      $("#imprimir_trans_bu").click(function(){
         var datos=$("#comboFiltro :selected").text().split("/");
          var d = new Date();
          var n = d.toLocaleString();

          var doc = new jsPDF('l', 'pt');
          var res = doc.autoTableHtmlToJson(document.getElementById("imprimir_trans"));
          doc.setFontSize(18);
          doc.text("Reporte Intercambios Creadas", 20, doc.autoTableEndPosY() + 30);
          doc.setFontSize(12);
          doc.text('Oficina : '+'{{ SITE_URL }}', 20, 60);
          doc.text('Usuario : '+'{{ user.get_username }}', 20, 80);
          doc.setFontSize(6);
          doc.autoTable(res.columns, res.data, {
              startY: doc.autoTableEndPosY() + 120,
              margin: {horizontal: 10},
              headerStyles: {rowHeight: 12, fontSize: 7,valign: 'middle'},
              styles: {overflow: 'linebreak'},
              bodyStyles: {rowHeight: 12, fontSize: 8, valign: 'middle'},
              theme: 'grid',
          });

          doc.save('reporteIntercambios.pdf');

         //$('#imprimir_trans').printThis();
      });


      function PonerInicioPag(){
          $(".pag").attr('class','pag');
          $("#pag1").attr('class','active pag');
          $("#pg1").text(1);
          $("#pg2").text(2);
          $("#pg3").text(3);
          $("#pg4").text(4);
          $("#pg5").text(5);
      };
      //
    $(".pag").click(function(){
      $(".pag").attr('class','pag');
      $(this).attr('class','active pag');
      pagina = $(this).text();
      ajax_Transferencias();
    })
    $("#ant").click(function(){
      var pag = $("#pg1").text();
      pag= parseInt(pag);
      if(pag>1){
        $("#pg1").text(pag-1);
        pag= $("#pg2").text();
        pag= parseInt(pag);
        $("#pg2").text(pag-1);
         pag= $("#pg3").text();
        pag= parseInt(pag);
        $("#pg3").text(pag-1);
         pag= $("#pg4").text();
        pag= parseInt(pag);
        $("#pg4").text(pag-1);
         pag= $("#pg5").text();
        pag= parseInt(pag);
        $("#pg5").text(pag-1);
      }
    });
    $("#pos").click(function(){
      var pag = $("#pg1").text();
      pag= parseInt(pag);
      $("#pg1").text(pag+1);
      pag = $("#pg2").text();
      pag= parseInt(pag);
      $("#pg2").text(pag+1);
      pag = $("#pg3").text();
      pag= parseInt(pag);
      $("#pg3").text(pag+1);
      pag = $("#pg4").text();
      pag= parseInt(pag);
      $("#pg4").text(pag+1);
      pag = $("#pg5").text();
      pag= parseInt(pag);
      $("#pg5").text(pag+1);
    });
    });
</script>
{% endblock content1 %}
